Retrieve File
curl --request GET \
--url https://api.minimax.io/v1/files/retrieve \
--header 'Authorization: Bearer <token>'{
"file": {
"file_id": "${file_id}",
"bytes": 0,
"created_at": 1700469398,
"filename": "output_aigc.mp4",
"purpose": "video_generation",
"download_url": "www.downloadurl.com"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Video Generation
Video Download
Use this API to download generated videos.
GET
/
v1
/
files
/
retrieve
Retrieve File
curl --request GET \
--url https://api.minimax.io/v1/files/retrieve \
--header 'Authorization: Bearer <token>'{
"file": {
"file_id": "${file_id}",
"bytes": 0,
"created_at": 1700469398,
"filename": "output_aigc.mp4",
"purpose": "video_generation",
"download_url": "www.downloadurl.com"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, can be found in Account Management>API Keys.
Query Parameters
The unique identifier for the file.
Supports file_id obtained from video generation and asynchronous speech synthesis tasks.
⌘I